Package org.apache.ignite.internal.processors.configuration.distributed

## Interface DistributedPropertyDispatcher

All Known Implementing Classes:
  `DistributedConfigurationProcessor`

    public interface DistributedPropertyDispatcher

Dispatcher of distributed properties. Hold of all register properties of distributed configuration.

### Method Summary

All Methods Instance Methods Abstract Methods
`<T extends Serializable> @Nullable DistributedChangeableProperty<T>` `property​(String name)` Get property by name.
`<T extends DistributedChangeableProperty> void` `registerProperties​(T... props)` Attach already created property.
`<T extends Serializable> DistributedProperty<T>` `registerProperty​(DistributedChangeableProperty<T> prop)` Attach already created property.

### Method Detail

#### registerProperties

    <T extends DistributedChangeableProperty> void registerProperties​(T... props)

Attach already created property.

Type Parameters:
  `T` - Type of property value.
Parameters:
  `props` - Properties to attach to processor.

#### registerProperty

    <T extends Serializable> DistributedProperty<T> registerProperty​(DistributedChangeableProperty<T> prop)

Attach already created property.

Parameters:
  `prop` - Property to attach to processor.

#### property

    @Nullable
    <T extends Serializable> @Nullable DistributedChangeableProperty<T> property​(String name)

Get property by name.

Type Parameters:
  `T` - Property type.
Parameters:
  `name` - Property name
Returns:
  Property.